userController = {
	data_scores: [],
	updateScore: function() {
		MyRequest.GetScore(function(res) {
			userController.data_scores = res.data.Scores;
			// console.log("******", userController,userController.data_scores);
		}, null);
	},
	//原理认知0
	getScore_ylrz: function() {
		// console.log("//////",userController, userController.data_scores);
		return userController.data_scores[0].Score;
	},
	//实景勘察1
	getScore_sjck: function() {
		return userController.data_scores[1].Score;
	},
	//虚拟技术搭建2-4
	getScore_xnjsdj: function() {
		let score = -1;
		for (let i = 2; i <= 4; i++) {
			if (userController.data_scores[i].Score > 0) {
				score += userController.data_scores[i].Score;
			}
		}
		return score;
	},
	//虚拟艺术创作5-14
	getScore_xnyscz: function() {
		let score = -1;
		for (let i = 5; i <= 14; i++) {
			if (userController.data_scores[i].Score > 0) {
				score += userController.data_scores[i].Score;
			}
		}
		return score;
	},
	//教师评分15
	getScore_jspf: function() {
		return userController.data_scores[15].Score;
	},
	userInfo: null,
	updateUserInfo:function(){
		MyRequest.GetUserInfo(function(res) {
			userController.userInfo = res.data.User;
			// console.log("请求用户信息",userController.userInfo);
		}, null);
	},
	//老师
	studentList:null,
	updateStudentList:function(suc,fail){
		MyRequest.GetStudentList(function(res) {
			// console.log("请求学生列表",res);
			userController.studentList = res.data.Students;
			if(suc){
				suc();
			}
		}, fail);
	},
	//上传分数-教师评分
	setupScore_jspf(score,suc,fail){
		// console.log("请求上传分数1111----",score);
		let data = JSON.parse(userController.data_scores); 
		// console.log("请求上传分数2222----",typeof(data),data.length,"====",data[15].Score,"----",data[14].Score);
		data[15].Score=Number(score);
		// console.log("请求上传分数3333----",data);
		MyRequest.SetupScore(data,suc, fail);
	}
}
